/*
 * This file is distributed according to the GNU Lesser Public Licence.
 * Created on 6 avr. 2005
 *
 */
package personneDandD;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.TransferHandler;

/**
 * Ce listener dclenche le "drag" quand on presse un bouton de la souris sur l'objet. 
 * @author Serge Rosmorduc
 */
public class DragAndDropListener extends MouseAdapter {
  
    public void mousePressed(MouseEvent e) {
        PersonnePanel panel= (PersonnePanel) e.getSource();
        
        panel.getTransferHandler().exportAsDrag(panel, e,
                TransferHandler.COPY);
        e.consume();
    }
}